<div class="content-wrapper">
  <section class="content-header">
    <h1>
       <?= $pTitle ?>
        <small><?= $pDescription ?></small>
    </h1>
    <ol class="breadcrumb">
     <li><a href="<?= base_url() ?>"><i class="fa fa-star-o" aria-hidden="true"></i>Home</a></li>
     <li><?= $menu ?></li>
     <li class="active"><?= $smenu ?></li>
    </ol>
  </section>
  <section class="content">
    <div class="row">
      <div class="col-md-12">
        <?php 
          $redirectUrl = (isset($customer_id) && !empty($customer_id))
                            ?'Customer/updateCustomer/'.$customer_id
                            :'Customer/createCustomer';
          if($this->session->flashdata('message')) { 
            $flashdata = $this->session->flashdata('message'); ?>
            <div class="alert alert-<?= $flashdata['class'] ?>">
             <button class="close" data-dismiss="alert" type="button">×</button>
             <?= $flashdata['message'] ?>
           </div>
       <?php } ?>
      </div>
      <div class="col-md-12">
        <div class="box box-warning">
          <div class="box-header with-border">
            <h3 class="box-title">Personal Details</h3>
          </div>
          <div class="box-body">
            <form id="createCustomerForm" role="form" action="<?=base_url($redirectUrl)?>" method="post" class="validate" data-parsley-validate="" enctype="multipart/form-data">
              <div class="col-md-12">
                <div class="col-md-6">
                  <div class="form-group has-feedback">
                     <label>First Name</label>
                     <input type="text" class="form-control required" data-parsley-trigger="change"  
                      data-parsley-minlength="2" data-parsley-pattern="^[a-zA-Z\ . ! @ # $ % ^ & * () + = , \/]+$"
                      required="" name="first_name"  placeholder="Enter First Name" 
                      value="<?= (isset($customer_data) && isset($customer_data->first_name))?$customer_data->first_name:'' ?>">
                     <span class="glyphicon  form-control-feedback"></span>
                  </div>
                  <div class="form-group has-feedback">
                     <label>Email</label>
                     <input type="email" class="form-control required" data-parsley-trigger="change"  
                     data-parsley-minlength="2" required="" name="email"  placeholder="Enter Email"
                      value="<?= (isset($customer_data) && isset($customer_data->email))?$customer_data->email:'' ?>">
                     <span class="glyphicon  form-control-feedback"></span>
                  </div>
                  <div class="form-group has-feedback">
                     <label>Date Of Birth</label>
                      <div class="input-group date" data-provide="datepicker">
                        <input id="datepicker" type="text" class="form-control required" data-parsley-trigger="change" data-parsley-minlength="2" required="" name="date_of_birth" placeholder="Pick Date Of Birth" autocomplete="off" value="<?= (isset($customer_data) && isset($customer_data->date_of_birth))?$customer_data->date_of_birth:'' ?>">
                        <div class="input-group-addon">
                          <i class="fa fa-calendar"></i>
                        </div>
                      </div>
                  </div>
                  <div class="form-group has-feedback">
                     <label>Address</label>
                     <textarea class="form-control required" data-parsley-trigger="change"  
                     data-parsley-minlength="2" required="" name="address" placeholder="Enter Address"><?= (isset($customer_data) && isset($customer_data->address))?trim($customer_data->address):'' ?></textarea>
                     <span class="glyphicon  form-control-feedback"></span>
                  </div>
                </div>
                <div class="col-md-6">
                  <div class="form-group has-feedback">
                     <label>Last Name</label>
                     <input type="text" class="form-control required" data-parsley-trigger="change"  
                     data-parsley-minlength="2"  data-parsley-pattern="^[a-zA-Z\ . ! @ # $ % ^ & * () + = , \/]+$" required="" name="last_name"  placeholder="Enter Last Name"
                      value="<?= (isset($customer_data) && isset($customer_data->last_name))?$customer_data->last_name:'' ?>">
                     <span class="glyphicon  form-control-feedback"></span>
                  </div>
                  <div class="form-group has-feedback">
                     <label>Phone</label>
                     <input type="number" class="form-control required" data-parsley-trigger="change"  
                     data-parsley-minlength="2" required="" name="phone" placeholder="Enter Phone"
                      value="<?= (isset($customer_data) && isset($customer_data->phone))?$customer_data->phone:'' ?>">
                     <span class="glyphicon  form-control-feedback"></span>
                  </div>
                  <div class="form-group">
                    <label>Profile Picture</label>
                    <div class="col-md-12">
                      <div class="col-md-3">
                        <img id="profile_image" src="<?= (isset($customer_data) && isset($customer_data->profile_image))?base_url($customer_data->profile_image):'' ?>" onerror="this.src='<?=base_url("assets/images/user_avatar.jpg")?>'" height="75" width="75" />
                      </div>
                      <div class="col-md-9" style="padding-top: 25px;">
                        <input name="profile_image" type="file" accept="image/*" 
                        class="<?= (isset($customer_id) && !empty($customer_id))?'':'required' ?>" 
                        onchange="setImg(this,'profile_image')" />
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <!-- Vehicle Details START -->
              <br>
              <div class="box-header with-border">
                <h3 class="box-title">Vehicle Details</h3>
              </div>
              <br>
              <div class="col-md-12">
                <div class="col-md-3">
                  <label>
                    <input type="radio" name="search_key_type" value='1' checked>
                    <span class="padAll-20">Vechile Details</span>
                  </label>
                </div>
                <div class="col-md-9">
                  <label>
                    <input type="radio" name="search_key_type" value='2'>
                    <span class="padAll-20">VIN Number</span>
                  </label>
                </div>
              </div>
            </form>
            <form name="vechile_add" data-parsley-validate="" required>
              <!-- Search Box START -->
              <div class="col-md-12 padAll-20">
                <div class="col-md-8">
                  <!-- Vehicle Details Search START -->
                  <div id="searchTyp_1">
                    <div class="col-md-12">
                      <div class="col-md-12">
                        <label>Vehicle Model</label>
                        <input type="text" class="form-control required" name="vehModel" 
                         placeholder="Enter Vehicle Model" required="">
                      </div>
                    </div>
                    <div class="col-md-12 padTop10">
                      <div class="col-md-6">
                        <label>Vehicle Maker</label>
                        <input type="text" class="form-control required" name="vehMaker" 
                         placeholder="Enter Vehicle Maker" required>
                      </div>
                      <div class="col-md-6">
                        <label>Year of Manufactured</label>
                        <select name="vehYear" class="form-control required" 
                          data-parsley-trigger="change" required="">
                          <option selected disabled value="">Choose Vehicle Purchase Year</option>
                          <?php 
                            for($year=date('Y'); $year>=1950; $year--){
                              $cond = (isset($vehicle_data) && isset($vehicle_data->model) && 
                                       !empty($vehicle_data->model) && 
                                       $vehicle_data->model == $year)?'selected':'';
                              echo '<option '.$cond.' value="'.$year.'">'.$year.'</option>'; 
                            }
                          ?>
                        </select>
                      </div>
                    </div>
                  </div>
                  <!-- Vehicle Details Search END -->

                  <!-- Vehicle Vin Search START -->
                  <div id="searchTyp_2" class="hide">
                    <div class="col-md-12">
                      <div class="col-md-12">
                        <label>Vehicle VIN Number</label>
                        <input type="text" class="form-control" name="vehVin" 
                         placeholder="Enter Vehicle VIN Number">
                      </div>
                    </div>
                  </div>
                  <!-- Vehicle Vin Search END -->
                </div>
                <!-- Search Box END -->
                <div class="col-md-4">
                  <button id="searchVechile" type="submit" class="btn btn-info" style="margin-top:22px;">
                    Search
                  </button>
                </div>
              </div>
              <!-- Vehicle Details END -->
            </form>
            <div class="col-md-12">          
              <div class="box-footer">
                <div style="text-align: center;">
                  <button id="createCustomerSubmit" type="submit" class="btn btn-primary">Submit</button>
                </div>
              </div>        
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</div>