jQuery(document).ready(function(){
    jQuery('<div class="overlay"></div>').insertBefore(".content-wrapper");
});

function setImg(input,id) {
    if (input.files && input.files[0]) {
        var reader = new FileReader();

        reader.onload = function (e) {
            $('#'+id).attr('src', e.target.result);
        };
        reader.readAsDataURL(input.files[0]);
    }
}

function setModal(header_msg,body_msg){
    jQuery('[id="modal_body_msg"]').html(body_msg);
    jQuery('[id="modal_header_msg"]').html(header_msg);
    jQuery('[id="errModal"]').modal('show');
}

function slideTo(id){
    jQuery('html, body').animate({
        scrollTop: jQuery('[id="'+id+'"]').offset().top
    }, 800);
}

function modalTrigger(header,body_html){
    jQuery('[id="modal_content"]').html(body_html);
    jQuery('[id="modal_header"]').html(header);

    jQuery('[id="popup_modal"]').modal('show');
}

function modalHide(){
    jQuery('[id="popup_modal"]').modal('hide');
}

function addModalLoader(){
    jQuery("[id='modal_content']").addClass('relative height_200');
    jQuery("[id='modal_content']").prepend("<div id='modal_loader_body' class='loader'></div>");
}

function remModalLoader(){
    jQuery("[id='modal_loader_body']").remove();
    jQuery("[id='modal_content']").removeClass('relative height_200');
}

function showFullScreenLoader(){
    var thisObj = jQuery('.overlay');
    thisObj.css("display",'block');

    thisObj.addClass('relative');
    thisObj.prepend("<div id='fullScreenLoaderBody' class='loader'></div>");
}

function remFullScreenLoader(){
    var thisObj = jQuery('.overlay');
    thisObj.css("display",'none');

    jQuery('[id="fullScreenLoaderBody"]').remove();
    thisObj.removeClass('relative');
}

function viewImageModal(title,img_src){
	if(title=='' || title==undefined || title=='undefined' || title==null || title=='null'||
	   img_src=='' || img_src==undefined || img_src=='undefined' || img_src==null || img_src=='null'){
		return false;
	}
	body_html = '<div style="text-align:center">'+
				  '<img src="'+img_src+'" onerror="this.src=\''+base_url+'assets/images/no_image.png\';" height="400px" width="auto">'+
   		  		'</div>';
	modalTrigger(title,body_html);
}

jQuery('[id="viewMechanic"]').on('click',function() {
    var mechanic_id = jQuery(this).attr('mechanic_id');

    if(mechanic_id=='' || mechanic_id==undefined || mechanic_id=='undefined' || mechanic_id==null || mechanic_id=='null'){
        return true;
    }
    modalTrigger('Mechanic Details','');
    addModalLoader();
    jQuery.ajax({
        url  : base_url+"Mechanic/getMechanicData", 
        type : 'POST',
        data : {'mechanic_id':mechanic_id},
        success: function(resp){
            if(resp == '' || resp == undefined || resp == 'undefined' || resp == null || resp == 'null'){
                remModalLoader();
                jQuery('[id="modal_content"]').html('Something went wrong, please try again later...!');
                return false;
            }
            var resp_data = jQuery.parseJSON(resp);
            if(resp_data['status'] == '0'){
                remModalLoader();
                jQuery('[id="modal_content"]').html('Something went wrong, please try again later...!');
                return false;
            }
            var mechanic_data = resp_data['data'];
            jQuery.each(mechanic_data, function (index, value) {
                if(value == '' || value == null || value == undefined || value == 'null' || value == 'undefined'){
                    mechanic_data[index] = ' -- ';
                }
            });

            var shopHtml = '';
            if(mechanic_data['shop_id'] != 0){
                shopHtml = '<br><div class="row"><label>Shop Details</label></div>'+
                            '<div class="row">'+
                              '<div class="col-md-4">Shop Name</div>'+
                              '<div class="col-md-1">:</div>'+
                              '<div class="col-md-6"><label>'+mechanic_data['shop_name']+'</label></div>'+
                            '</div>'+
                            '<div class="row">'+
                              '<div class="col-md-4">Shop Phone</div>'+
                              '<div class="col-md-1">:</div>'+
                              '<div class="col-md-6"><label>'+mechanic_data['shop_phone']+'</label></div>'+
                            '</div>'+
                            '<div class="row">'+
                              '<div class="col-md-4">Shop Email</div>'+
                              '<div class="col-md-1">:</div>'+
                              '<div class="col-md-6"><label>'+mechanic_data['shop_email']+'</label></div>'+
                            '</div>'+
                            '<div class="row">'+
                              '<div class="col-md-4">Shop Address</div>'+
                              '<div class="col-md-1">:</div>'+
                              '<div class="col-md-6"><label>'+mechanic_data['shop_address']+'</label></div>'+
                            '</div>';
            }

            var html = '<div class="col-xs-12">'+
                          '<div class="col-md-2">'+
                            '<div class="row">'+
                              '<img  id="driverProfileImg" src="'+base_url+mechanic_data['profile_image']+'" height="100" width="100" />'+
                            '</div>'+
                          '</div>'+
                          '<div class="col-md-5">'+
                            '<div class="row"><label>Basic Details</label></div>'+
                            '<div class="row">'+
                              '<div class="col-md-4">Display Name</div>'+
                              '<div class="col-md-1">:</div>'+
                              '<div class="col-md-6"><label>'+ mechanic_data['display_name']+'</label></div>'+
                            '</div> '+
                            '<div class="row">'+
                              '<div class="col-md-4">User Name</div>'+
                              '<div class="col-md-1">:</div>'+
                              '<div class="col-md-6"><label>'+ mechanic_data['username']+'</label></div>'+
                            '</div> '+
                            '<div class="row">'+
                              '<div class="col-md-4">First Name</div>'+
                              '<div class="col-md-1">:</div>'+
                              '<div class="col-md-6"><label>'+mechanic_data['first_name']+'</label></div>'+
                            '</div> '+
                            '<div class="row">'+
                              '<div class="col-md-4">Last Name</div>'+
                              '<div class="col-md-1">:</div>'+
                              '<div class="col-md-6"><label>'+mechanic_data['last_name']+'</label></div>'+
                            '</div> '+
                            '<div class="row"> '+
                              '<div class="col-md-4">Email ID</div>'+
                              '<div class="col-md-1">:</div>'+
                              '<div class="col-md-6"><label>'+mechanic_data['email_id']+'</label></div>'+
                            '</div> '+
                            '<div class="row"> '+
                              '<div class="col-md-4">Phone</div>'+
                              '<div class="col-md-1">:</div>'+
                              '<div class="col-md-6"><label>'+mechanic_data['phone']+'</label></div> '+
                            '</div> '+
                            '<div class="row"> '+
                              '<div class="col-md-4">Address</div>'+
                              '<div class="col-md-1">:</div>'+
                              '<div class="col-md-6"><label>'+mechanic_data['address']+'</label></div> '+
                            '</div> '+
                            '<div class="row"> '+
                              '<div class="col-md-4">City</div>'+
                              '<div class="col-md-1">:</div>'+
                              '<div class="col-md-6"><label>'+mechanic_data['city']+'</label></div> '+
                            '</div> '+
                            '<div class="row"> '+
                              '<div class="col-md-4">State</div>'+
                              '<div class="col-md-1">:</div>'+
                              '<div class="col-md-6"><label>'+mechanic_data['state']+'</label></div> '+
                            '</div> '+
                            shopHtml+
                          '</div> '+
                          '<div class="col-md-5"> '+
                            '<div class="row"><label>Licence Details</label></div>'+
                            '<div class="row"> '+
                              '<div class="col-md-4">Licence No.</div>'+
                              '<div class="col-md-1">:</div>'+
                              '<div class="col-md-6"><label>'+mechanic_data['licence_number']+' </label></div>'+
                            '</div> '+
                            '<div class="row"> '+
                              '<div class="col-md-4">Licence Expiry</div>'+
                              '<div class="col-md-1">:</div>'+
                              '<div class="col-md-6"><label>'+mechanic_data['licence_exp_date']+'</label></div>'+
                            '</div> '+
                            '<div class="row"> '+
                              '<div class="col-md-4">Licence Proof</div>'+
                              '<div class="col-md-1">:</div>'+
                              '<div class="col-md-5" style="text-align:center;"> '+
                                '<img id="driverLicenceImg" src="'+base_url+mechanic_data['licence']+'"'+
                                  'style="margin-top:10px;max-width:205px;height:auto;max-height:130px;" />'+
                              '</div> '+
                            '</div> '+
                          '</div> '+
                        '</div>';

                remModalLoader();
                jQuery('[id="modal_content"]').html(html);

                jQuery('[id="driverLicenceImg"]').error(function() {
                    jQuery('[id="driverLicenceImg"]').attr('src',base_url+'assets/images/no_image.png');
                });

                jQuery('[id="driverProfileImg"]').error(function() {
                    jQuery('[id="driverProfileImg"]').attr('src',base_url+'assets/images/user_avatar.jpg');
                });

            },
            fail: function(xhr, textStatus, errorThrown){
                remModalLoader();
                jQuery('[id="modal_content"]').html('Something went wrong, please try again later...!');
            },
            error: function (ajaxContext) {
                remModalLoader();
                jQuery('[id="modal_content"]').html('Something went wrong, please try again later...!');
        }
    });
});

function changeMechanic(){
    jQuery('[id="chooseMechForm"]').submit();
}

jQuery('[name="search_key_type"]').on('change',function() {
    var searchTypId = jQuery(this).val(); 
    if(searchTypId == '' || searchTypId == null || searchTypId == 'null' || 
       searchTypId == undefined || searchTypId == 'undefined'){
        return false;
    }
    jQuery('[id^="searchTyp_"]').addClass('hide');
    jQuery('[id="searchTyp_'+searchTypId+'"]').removeClass('hide');

    jQuery('[id^="searchTyp_"]').find('input').each(function (index,element) {
        jQuery(this).val('');
        jQuery(this).removeAttr('required');
        jQuery(this).removeClass('required');
    });

    jQuery('[id="searchTyp_'+searchTypId+'"]').find('input').each(function (index,element) {
        jQuery(this).attr('required','');
        jQuery(this).addClass('required');
    });
});

jQuery('[id="createCustomerSubmit"]').on('click',function() {
  jQuery('[id="createCustomerForm"]').submit();
});


jQuery('[id="searchVechile"]').on('click',function() {
  event.preventDefault();

  var searchTypId = jQuery('[name="search_key_type"]').val(),
      passArr = {'searchType':'','vehModel':'','vehMaker':'','vehYear':'','vehVin':''};
  if(searchTypId == '' || searchTypId == null || searchTypId == 'null' || searchTypId == undefined || searchTypId == 'undefined'){
      modalTrigger('Vechile Search Failed','Vechile Search Failed Failed. Provide proper data and try again..!');
      return false;
  }
  var vehVin = jQuery('[name="vehVin"]').val(),
      vehYear = jQuery('[name="vehYear"]').val(),
      vehModel = jQuery('[name="vehModel"]').val(),
      vehMaker = jQuery('[name="vehMaker"]').val();

  if((searchTypId == 1 && 
        (vehYear == '' || vehYear == null || vehYear == 'null' || vehYear == undefined || vehYear == 'undefined' || 
         vehModel == '' || vehModel == null || vehModel == 'null' || vehModel == undefined || vehModel == 'undefined' || 
         vehMaker == '' || vehMaker == null || vehMaker == 'null' || vehMaker == undefined || vehMaker == 'undefined')
      ) || 
      (searchTypId == 2 && 
        (vehVin == '' || vehVin == null || vehVin == 'null' || vehVin == undefined || vehVin == 'undefined')
      )
    ){
    modalTrigger('Vechile Search Failed','Vechile Search Failed Failed. Provide proper data and try again..!');
    return false;
  }
  passArr.vehVin = vehVin;
  passArr.vehYear = vehYear;
  passArr.vehModel = vehModel;
  passArr.vehMaker = vehMaker;
  passArr.searchType = searchTypId;

  jQuery.ajax({
    url  : base_url+"Vehicle/vechicleSearch", 
    type : 'POST',
    data : passArr,
    success: function(resp){
      if(resp == '' || resp == undefined || resp == 'undefined' || resp == null || resp == 'null'){
        remModalLoader();
        jQuery('[id="modal_content"]').html('Something went wrong, please try again later...!');
        return false;
      }
      var resp_data = jQuery.parseJSON(resp);
      if(resp_data['status'] != '1'){
        remModalLoader();
        jQuery('[id="modal_content"]').html('Something went wrong, please try again later...!');
        return false;
      }
      var mechanic_data = resp_data['data'];
      jQuery.each(mechanic_data, function (index, value) {
        if(value == '' || value == null || value == undefined || value == 'null' || value == 'undefined'){
            mechanic_data[index] = ' -- ';
        }
      });
          remModalLoader();
      },
    fail: function(xhr, textStatus, errorThrown){
      remModalLoader();
      jQuery('[id="modal_content"]').html('Something went wrong, please try again later...!');
    },
    error: function (ajaxContext) {
      remModalLoader();
      jQuery('[id="modal_content"]').html('Something went wrong, please try again later...!');
    }
  });
});